Get Contact History
- Print
- DarkLight
- PDF
Get Contact History
- Print
- DarkLight
- PDF
Article summary
Did you find this summary helpful?
Thank you for your feedback
Get
/api/v1/omnichannel/contacts.history
Get contact's history. Permission required: view-livechat-contact-history.
Changelog
| Version | Description |
|---|---|
| 6.1.0 | Added |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Query parameters
contactId
stringRequired
The contact's ID.
Example673653b997f0fbcd657f0ebf
source
string
The source of the contact's interaction with your organization.
Examplewidget
offset
number
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items.
Example2
count
number
The number of items to return.
Example2
sort
List of fields to order by, and in which direction. JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending.
Example{"msgs": 1}
Responses
200
OK
Success
{
"success": true
}object
success
boolean
400
Bad Request
Example 1
{
"success": false,
"error": "must have required property 'contactId' [invalid-params]",
"errorType": "invalid-params"
}object
success
boolean
error
string
errorType
string
401
Unauthorized
Authorization Error
{
"status": "error",
"message": "You must be logged in to do this."
}object
status
string
message
string
403
Forbidden
Example 1
{
"success": false,
"error": "User does not have the permissions required for this action [error-unauthorized]"
}object
success
boolean
error
string
Was this article helpful?